

@set btime=\bin\bin_time.bat
@cd \bin\time\files
@if "%1"=="" goto main
@set resp=\bin\res\
@echo %1 %2 %3 %4 %5 %6 %7 %8 %9	>>%resp%%1.tim
@set p3=%3
@set p4=%4
@set p6=%6
@set p7=%7
@if "%3"=="-" set p3=
@if "%4"=="-" set p4=
@if "%6"=="-" set p6=
@if "%7"=="-" set p7=
@set px=%1
@if "%1"=="pkzip" set px=pkunzip
@if "%1"=="bwic"  set px=ubwic
@if "%1"=="ppmy"  set px=ppmy_d
@if "%1"=="ppmy70" set px=ppmy70_d
@set rchiv=%8
@if "%2"=="ery-e.bat"  set rchiv=%9

time <%btime%
time <%btime%			>>%resp%%1.tim
upct %1 %2 %p3% %p4% %5 %p6%	>>%resp%%1.tim
time <%btime%			>>%resp%%1.tim
echo %1 %2 %p3% %p4% %5 %p6%	>>%resp%%1.tim

@move %rchiv% ..
@cd ..
@dir %rchiv%			>>%resp%%1.tim
@delay.com

time <%btime%
time <%btime%		>>%resp%%1.tim
upct %px% %p7% %8 %9	>>%resp%%1.tim
time <%btime%		>>%resp%%1.tim
echo %px% %p7% %8 %9	>>%resp%%1.tim

@del %rchiv%
@fc/b *.* files\*.*	>>%resp%%1.fc
@del ?*.*
@delay.com
@goto end


@rem Files are not sorted, i.e. "as is" after extraction with make_bin.bat
@rem Extension is not changed to *.*.bin





@rem         If no parameters given - MAIN process starts
:main
d:
goto conti
@rem may abort when compressing, *****> LEAVES STUB OF ARCHIVE <*****
call %btime%  boa      -m1  -    -      !t1.boa  *.*        -x !t1.boa *.*
dir/s \bin\time
pause
call %btime%  boa      -m7  -    -      !t2.boa  *.*        -x !t2.boa *.*
call %btime%  boa      -m15 -    -      !t3.boa  *.*        -x !t3.boa *.*
call %btime%  boa      -m15 -s   -      !t5.boa  *.*        -x !t5.boa *.*

call %btime%  qlfc      a   -    -      !t1      *.*         x !t1.gq  *.*
call %btime%  gcac      a   -    -      !t1      *.*         e !t1.gca *.*
call %btime%  gcac      s   -    -      !t2      *.*         e !t2.gca *.*
call %btime%  acb       B   -    -      !t1.acb  *.*         r !t1.acb
call %btime%  acb       b   -    -      !t2.acb  *.*         r !t2.acb
@rem aborts when decompressing
call %btime%  acb       u   -    -      !t3.acb  *.*         r !t3.acb

call %btime%  777       a   -mg  -      !t9.777  *.*         x !t9.777 *.*
call %btime%  777       a   -mg  -mu32  !ta.777  *.*         x !ta.777 *.*
call %btime%  rk       -mf1 -    -      !f1.rk   *.*        -x !f1.rk  *.*
call %btime%  rk       -mf2 -    -      !f2.rk   *.*        -x !f2.rk  *.*
call %btime%  rk       -mf3 -    -      !f3.rk   *.*        -x !f3.rk  *.*
call %btime%  rk       -mx1 -    -      !x1.rk   *.*        -x !x1.rk  *.*
call %btime%  rk       -mx2 -    -      !x2.rk   *.*        -x !x2.rk  *.*
call %btime%  rk       -mx3 -    -      !x3.rk   *.*        -x !x3.rk  *.*
call %btime%  ufa       a   -mg  -      !t-.ufa  *.*         x !t-.ufa *.*
call %btime%  ufa       a   -mg  -mu32  !t0.ufa  *.*         x !t0.ufa *.*
call %btime%  ufa       a   -mg  -s     !t1.ufa  *.*         x !t1.ufa *.*


call %btime%  ace32     a   -    -      !t0.ace  *.*         x !t0.ace *.*
call %btime%  ace32     a   -d4096 -    !t1.ace  *.*         x !t1.ace *.*
call %btime%  ace32     a   -d4096 -s-  !t2.ace  *.*         x !t2.ace *.*
call %btime%  ace32     a   -d4096 -m1  !t3.ace  *.*         x !t3.ace *.*
call %btime%  ace32     a   -d4096 -m5  !t4.ace  *.*         x !t4.ace *.*
call %btime%  ace       a   -d4096 -m5  !t5.ace  *.*         x !t5.ace *.*
call %btime%  arh       a   -    -      !t1.lg   *.*         x !t1.lg  *.*
call %btime%  arh       a   -2   -mm    !t2.lg   *.*         x !t2.lg  *.*
call %btime%  arh       a   -1   -mm    !t3.lg   *.*         x !t3.lg  *.*
call %btime%  arh       a   -2   -1     !t4.lg   *.*         x !t4.lg  *.*
call %btime%  bix       a   -    -      !t0.bix  *.*         x !t0.bix *.*
call %btime%  bix       a   -mdg -      !t1.bix  *.*         x !t1.bix *.*
call %btime%  bix       a   -mdg -s     !t2.bix  *.*         x !t2.bix *.*
call %btime%  eri       a   -    -      !t1.eri  *.*         x !t1.eri *.*
call %btime%  eri       a   -m3  -      !t3.eri  *.*         x !t3.eri *.*
call %btime%  eri       a   -m6  -      !t6.eri  *.*         x !t6.eri *.*
call %btime%  imp98     a   -    -      !t-.imp  *.*         e !t-.imp *.*
call %btime%  imp98     a   -mm  -      !t0.imp  *.*         e !t0.imp *.*
call %btime%  imp98     a   -mm  -m3    !t1.imp  *.*         e !t1.imp *.*
call %btime%  imp98     a   -mm  -2     !t2.imp  *.*         e !t2.imp *.*
call %btime%  imp98     a   -mm  -s4    !t3.imp  *.*         e !t3.imp *.*
call %btime%  imp98     a   -2   -s4    !t4.imp  *.*         e !t4.imp *.*
call %btime%  imp       a   -2   -s4    !oo.imp  *.*         e !oo.imp *.*
call %btime%  pkzip    -es  -    -      !t1.zip  *.*        -e !t1.zip *.*
call %btime%  pkzip    -a   -    -      !t2.zip  *.*        -e !t2.zip *.*
call %btime%  pkzip    -exx -    -      !t3.zip  *.*        -e !t3.zip *.*
call %btime%  sbc       c   -m1  -      !t1.sbc  *.*         x !t1.sbc
call %btime%  sbc       c   -m2  -      !t2.sbc  *.*         x !t2.sbc
call %btime%  sbc       c   -m3  -      !t3.sbc  *.*         x !t3.sbc
call %btime%  sbc       c   -m3  -b63   !t4.sbc  *.*         x !t4.sbc
call %btime%  sbc       c   -    -b63   !t6.sbc  *.*         x !t6.sbc
call %btime%  sbc       c   -ad  -b63   !t5.sbc  *.*         x !t5.sbc
call %btime%  sbc       c   -os  -b63   !t9.sbc  *.*         x !t9.sbc
call %btime%  sbc_d     c   -os  -b63   !td.sbc  *.*         x !td.sbc
call %btime%  compcl    c   -b15 -      ..\!t0   *.*         e !t0.car
call %btime%  compcl    c   -b15 -s     ..\tt1   *.*         e tt1.car
call %btime%  zzip      a   -    -      !t1.zz   *.*         x !t1.zz
call %btime%  zzip      a   -a   -      !t2.zz   *.*         x !t2.zz
call %btime%  zzip      a   -mx  -      !t3.zz   *.*         x !t3.zz
call %btime%  zzip      a   -mx  -mm    !t3.zz   *.*         x !t3.zz
call %btime%  zzip      a   -mx  -30m   !t4.zz   *.*         x !t4.zz
call %btime%  dc        e   -    -        *.*    lr1.dc      x lr1.dc
call %btime%  dc        e   -fb  -        *.*    lr2.dc      x lr2.dc
call %btime%  dc        e -b16300 -       *.*    lr3.dc      x lr3.dc
call %btime%  dc        e -b16300 -mb5    *.*    lr4.dc      x lr4.dc

call %btime%  ppmdi     e   -o2  -     -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o3  -     -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o4  -     -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o5  -     -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o6  -     -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o7  -     -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o8  -     -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o9  -     -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o10 -     -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o11 -     -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o12 -     -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o16 -     -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o3  -m232 -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o4  -m232 -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o5  -m232 -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o6  -m232 -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o7  -m232 -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o8  -m232 -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o9  -m232 -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o10 -m232 -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o11 -m232 -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o12 -m232 -ftexts   *.*         d texts
call %btime%  ppmdi     e   -o16 -m232 -ftexts   *.*         d texts

call %btime%  ppmonstr  e   -o3  -m250 -ftexts   *.*         d texts
call %btime%  ppmonstr  e   -o4  -m250 -ftexts   *.*         d texts
call %btime%  ppmonstr  e   -o5  -m250 -ftexts   *.*         d texts
call %btime%  ppmonstr  e   -o6  -m250 -ftexts   *.*         d texts
call %btime%  ppmonstr  e   -o7  -m250 -ftexts   *.*         d texts
call %btime%  ppmonstr  e   -o8  -m250 -ftexts   *.*         d texts
call %btime%  ppmonstr  e   -o9  -m250 -ftexts   *.*         d texts
call %btime%  ppmonstr  e   -o10 -m250 -ftexts   *.*         d texts
call %btime%  ppmonstr  e   -o11 -m250 -ftexts   *.*         d texts
call %btime%  ppmonstr  e   -o12 -m250 -ftexts   *.*         d texts
call %btime%  ppmonstr  e   -o16 -m250 -ftexts   *.*         d texts
call %btime%  ppmonstr  e   -o32 -m250 -ftexts   *.*         d texts
call %btime%  ppmonstr  e   -o64 -m250 -ftexts   *.*         d texts
call %btime%  ppmonstr  e  -o128 -m250 -ftexts   *.*         d texts

call %btime%  call ery-e.bat b   o12    texts    *.*   ery-d.bat b texts.enb
call %btime%  call ery-e.bat b   o16    texts    *.*   ery-d.bat b texts.enb
call %btime%  call ery-e.bat b   o32    texts    *.*   ery-d.bat b texts.enb
call %btime%  call ery-e.bat b   o64    texts    *.*   ery-d.bat b texts.enb
rd \bin\time\ery7-tmp
rd \bin\time\files\ery7-tmp
call %btime%  uharc     a  -m1 -md32768 !t2.uha  *.*         x !t2.uha *.*
call %btime%  uharc     a  -m2 -md32768 !t3.uha  *.*         x !t3.uha *.*
call %btime%  uharc     a  -m3 -md32768 !t4.uha  *.*         x !t4.uha *.*
call %btime%  uharc     a  -mz -md32768 !t5.uha  *.*         x !t5.uha *.*
call %btime%  uharc     a  -mx -md32768 !t6.uha  *.*         x !t6.uha *.*



call %btime%  7za       a   -t7z -      !t0.7za  *.*         x !t0.7za *.*
call %btime%  7za       a   -t7z -mx    !t1.7za  *.*         x !t1.7za *.*
call %btime%  7za       a   -tzip -     !t2.7za  *.*         x !t2.7za *.*
call %btime%  7za       a   -tzip -mx   !t3.7za  *.*         x !t3.7za *.*
call %btime%  bee       a   -m1  -      !m1.bee  *.*         x !m1.bee *.*
call %btime%  bee       a   -m2  -      !m2.bee  *.*         x !m2.bee *.*
call %btime%  bee       a   -m3  -      !m3.bee  *.*         x !m3.bee *.*
call %btime%  bee       a   -m3  -d4    !33.bee  *.*         x !33.bee *.*
call %btime%  bee       a   -m3  -s     !ms.bee  *.*         x !ms.bee *.*
call %btime%  durilca   e   -o8  -t3   -ftexts   *.*         d texts
call %btime%  durilca   e   -o9  -t3   -ftexts   *.*         d texts
call %btime%  durilca   e   -o10 -t3   -ftexts   *.*         d texts
call %btime%  durilca   e   -o12 -t3   -ftexts   *.*         d texts
call %btime%  durilca   e   -o16 -t3   -ftexts   *.*         d texts
call %btime%  durilca   e   -o32 -t3   -ftexts   *.*         d texts
call %btime%  durilca   e   -o64 -t3   -ftexts   *.*         d texts
call %btime%  durilca   e  -o128 -t3   -ftexts   *.*         d texts
:conti
call %btime%  slim      a   -d32 -w21   !s32.fb  *.*         x !s32.fb
call %btime%  slim      a   -d16 -w21   !s16.fb  *.*         x !s16.fb
call %btime%  slim      a   -d8  -w21   !s8.fb   *.*         x !s8.fb
call %btime%  slim      a   -d4  -w21   !s4.fb   *.*         x !s4.fb
call %btime%  rar       a   -m1  -      !t1.rar  *.*         x !t1.rar *.*
call %btime%  rar       a   -m2  -      !t2.rar  *.*         x !t2.rar *.*
call %btime%  rar       a   -m3  -      !t3.rar  *.*         x !t3.rar *.*
call %btime%  rar       a   -m4  -      !t4.rar  *.*         x !t4.rar *.*
call %btime%  rar       a   -m5  -      !t5.rar  *.*         x !t5.rar *.*
call %btime%  rar       a   -m5  -s     !t6.rar  *.*         x !t6.rar *.*
call %btime%  rar       a  -mc16t   -s  !t7.rar  *.*         x !t7.rar *.*
call %btime%  rar       a  -mc16t+  -s  !t7.rar  *.*         x !t7.rar *.*
call %btime%  rar     a -mc16:128t  -s  !t8.rar  *.*         x !t8.rar *.*
call %btime%  rar     a -mc16:128t+ -s  !t8.rar  *.*         x !t8.rar *.*
call %btime%  rar32     a  -mc16t -s    !o7.rar  *.*         x !o7.rar *.*


cd \bin\time\files
qfc /a large.qfc *.*
delay.com

call %btime%  paq6v2a lr2.paq -  -     large.qfc  -         -  lr2.paq
call %btime%  paq6v2a -6 lr6.paq -     large.qfc  -         -  lr6.paq
goto end
call %btime%  uhbc      e     -  -     large.qfc lr1.uhb    d  lr1.uhb large.qfc
call %btime%  grzipii   e     -  -     large.qfc lr1.grz    d  lr1.grz large.qfc
call %btime%  epm9      c008 -   -     large.qfc lr1.e12  d008 lr1.e12 large.qfc
call %btime%  epm9      c012 -   -     large.qfc lr1.e12  d012 lr1.e12 large.qfc
call %btime%  epm9      c016 -   -     large.qfc lr1.e12  d016 lr1.e12 large.qfc
call %btime%  rkc    -mf  -M230M -o8   large.qfc lr1.rkc   -   lr1.rkc large.qfc
call %btime%  rkc    -mx  -M230M -o8   large.qfc lr2.rkc   -   lr2.rkc large.qfc
call %btime%  rkc    -mxx -M230M -o8   large.qfc lr3.rkc   -   lr3.rkc large.qfc
call %btime%  rkc    -mxx -M230M -o12  large.qfc lr4.rkc   -   lr4.rkc large.qfc
:all %btime%  rkc    -mxx -M230M -o16  large.qfc lr5.rkc   -   lr5.rkc large.qfc
:all %btime%  rkc    -mxx -M230M -o32  large.qfc lr6.rkc   -   lr6.rkc large.qfc

call %btime%  rkc    -mf  -M230M -fe   large.qfc lr7.rkc   -   lr7.rkc large.qfc

call %btime%  rkc    -mx  -M230M -fe   large.qfc lr8.rkc   -   lr8.rkc large.qfc

call %btime%  rkc    -mxx -M230M -fe   large.qfc lr9.rkc   -   lr9.rkc large.qfc
call %btime%  ash04a  /o6 /m230   -    large.qfc lr6.ash   /d  lr6.ash large.qfc
call %btime%  ash04a  /o7 /m230   -    large.qfc lr7.ash   /d  lr7.ash large.qfc
call %btime%  ash04a  /o8 /m230   -    large.qfc lr8.ash   /d  lr8.ash large.qfc
call %btime%  ash04a  /o9 /m230   -    large.qfc lr9.ash   /d  lr9.ash large.qfc
call %btime%  ash04a  /o6 /m230 /s16   large.qfc lr6.ash   /d  lr6.ash large.qfc
call %btime%  ash04a  /o7 /m230 /s16   large.qfc lr7.ash   /d  lr7.ash large.qfc
call %btime%  ash04a  /o8 /m230 /s16   large.qfc lr8.ash   /d  lr8.ash large.qfc
call %btime%  ash04a  /o9 /m230 /s16   large.qfc lr9.ash   /d  lr9.ash large.qfc
call %btime%  ash04a /o16 /m230   -    large.qfc lrh.ash   /d  lrh.ash large.qfc
call %btime%  ash04a /o16 /m230 /s16   large.qfc lrh.ash   /d  lrh.ash large.qfc
call %btime%  bwic   large.qfc - -     lr1.bwi    -         -  lr1.bwi large.qfc


call %btime%  ybs      -m1m   -  -      !t1.ybs  large.qfc  -d !t1.ybs
call %btime%  ybs      -m2m   -  -      !t2.ybs  large.qfc  -d !t2.ybs
call %btime%  ybs      -m4m   -  -      !t3.ybs  large.qfc  -d !t3.ybs
call %btime%  ybs      -m8m   -  -      !t4.ybs  large.qfc  -d !t4.ybs
call %btime%  ybs      -m16mu -  -      !t5.ybs  large.qfc  -d !t5.ybs
call %btime%  ybs      -m15mu -  -      !t5.ybs  large.qfc  -d !t5.ybs
call %btime%  ybs      -m15mu -r -      !t6.ybs  large.qfc  -d !t6.ybs
call %btime%  ybs_d    -m15mu -  -      !t0.ybs  large.qfc  -d !t0.ybs
call %btime%  abc13     -c  -     -    large.qfc abc        -e large.abc qfc
call %btime%  abc24     -c  -     -    large.qfc abc        -e large.abc qfc
call %btime%  ppmy70    /o6 /m220 -    large.qfc lr6.pmy    -  lr6.pmy large.qfc
call %btime%  ppmy70    /o7 /m220 -    large.qfc lr7.pmy    -  lr7.pmy large.qfc
call %btime%  ppmy70    /o8 /m220 -    large.qfc lr8.pmy    -  lr8.pmy large.qfc
call %btime% paq1    lr1.paq -   -     large.qfc  -         -  lr1.paq
call %btime% paq1sse lr2.paq -   -     large.qfc  -         -  lr2.paq

call %btime%  szip      -v0 -    -     large.qfc lr1.sz     -d lr1.sz large.qfc
call %btime%  szip      -o4 -    -     large.qfc lr2.sz     -d lr2.sz large.qfc
call %btime%  szip      -o6 -    -     large.qfc lr3.sz     -d lr3.sz large.qfc
call %btime%  szip      -o8 -    -     large.qfc lr4.sz     -d lr4.sz large.qfc
call %btime%  szip      -o8 -b41 -     large.qfc lr5.sz     -d lr5.sz large.qfc

call %btime%  ppmn_km   e   -o6  -M:50 large.qfc lr6.pmn     d lr6.pmn large.qfc
call %btime%  ppmn_km   e   -o7  -M:50 large.qfc lr7.pmn     d lr7.pmn large.qfc
call %btime%  ppmn_km   e   -o8  -M:50 large.qfc lr8.pmn     d lr8.pmn large.qfc
call %btime%  ppmn_km   e   -o9  -M:50 large.qfc lr9.pmn     d lr9.pmn large.qfc
call %btime%  ppmn_km   e   -o9  -     large.qfc l90.pmn     d l90.pmn large.qfc
call %btime%  bzip2     -k  -    -     large.qfc  -        -dk large.qfc.bz2
call %btime%  bzip2     -k  -s   -     large.qfc  -        -dk large.qfc.bz2
call %btime%  bzip2     -k  -1   -     large.qfc  -        -dk large.qfc.bz2
call %btime%  bzip2     -k  -5   -     large.qfc  -        -dk large.qfc.bz2
call %btime%  bzip2     -k  -9   -     large.qfc  -        -dk large.qfc.bz2
call %btime%  ba        -k  -50  -     large.qfc  -        -dk large.qfc.ba
call %btime%  ba        -k  -    -     large.qfc  -        -dk large.qfc.ba
call %btime%  ba        -k  -m   -     large.qfc  -        -dk large.qfc.ba
call %btime%  ba        -k  -10  -     large.qfc  -        -dk large.qfc.ba
@rem fails to losslessly decompress:
call %btime%  ba        -k  -1   -     large.qfc  -        -dk large.qfc.ba
goto end



@rem IDEAL :

call %btime%  program   a   -    -     archive1   *.*        x archive1 *.*
call %btime%  program   a   -mxt -     archive2   *.*        x archive2 *.*
call %btime%  program   a   -    -s    archive3   *.*        x archive3 *.*
call %btime%  program   a   -mxt -s    archive4   *.*        x archive4 *.*

@rem and PROGRAM detects how much memory available,
@rem types of files, what methods should be used etc.

:end
